#include <Adafruit_GFX.h>
#include <Adafruit_TFTLCD.h>

#define LCD_CS A3
#define LCD_CD A2
#define LCD_WR A1
#define LCD_RD A0

#define LCD_RESET A4 

#define  BLACK   0x0000
#define BLUE    0x001F
#define RED     0xF800
#define GREEN   0x07E0
#define CYAN    0x07FF
#define MAGENTA 0xF81F
#define YELLOW  0xFFE0
#define WHITE   0xFFFF

Adafruit_TFTLCD tft(LCD_CS, LCD_CD, LCD_WR, LCD_RD, LCD_RESET);

void setup(void) {
  Serial.begin(9600);
  Serial.println(F("Star test"));
  
  Serial.print("TFT size is "); Serial.print(tft.width()); Serial.print("x"); Serial.println(tft.height());

  tft.reset();

  uint16_t identifier = tft.readID();

  tft.begin(identifier);

  Serial.print(F("Lines                    "));
  Serial.println(testLines(WHITE));
  delay(2000);

}

void loop(void) {
  for(uint8_t rotation=0; rotation<0; rotation++) {
    tft.setRotation(rotation);
    delay(2000);
  }
}

  unsigned long testLines (uint16_t color) {
  unsigned long start, t;
  int           x1, y1, x2, y2,
                w = tft.width(),
                h = tft.height();
                

tft.fillScreen(BLACK);

  w    = w - 1;
  h    = h - 1;
  y1    = 508;
  x1    = 190;
  start = micros();
  for(y1=10; y1<600; y1++) tft.drawLine(190, 508, 310, 557, WHITE);
  for(x1=10; x1<400; x1++) tft.drawLine(500, 585, 634, 539, WHITE);
  t    += micros() - start;

//Ursa Minor
tft.drawLine(190, 508, 310, 557, WHITE);
tft.drawLine(500, 585, 634, 539, WHITE);
tft.drawLine(722, 381, 847, 368, WHITE);
tft.drawLine(814, 542, 634, 539, WHITE);
}
//Draco
//tft.drawLine(x1, y1, x2, y2, color);
//tft.drawLine(x1, y1, x2, y2, color);
